package exercises;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;

/**
 * Übung für JUGS-Java9-Workshop
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
public class Exercise3_CollectionLiterals
{
    public static void main(String[] args)
    {
        collectionsExampleJdk8();
        collectionsExampleJdk9();
    }

    private static void collectionsExampleJdk9()
    {
        // TODO
    }
        
    private static void collectionsExampleJdk8()
    {
        final List<String> names = Arrays.asList("Tim", "Tom", "Mike");
        System.out.println(names);
        
        final Set<Integer> numbers = new TreeSet<>();
        numbers.add(1);
        numbers.add(3);
        numbers.add(4);
        numbers.add(2);
        System.out.println(numbers);
        
        final Map<Integer, String> mapping = new HashMap<>();
        mapping.put(5, "five");
        mapping.put(6, "six");
        mapping.put(7, "seven");
        System.out.println(mapping);
    }
}
