package solutions;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

/**
 * Beispiellösung für JUGS-Java9-Workshop
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
public class Exercise1_ARM_Step_3
{
    public static void main(final String[] args) throws IOException
    {
        try (final FileReader fileReader = new FileReader("./resources/abc.txt");
             final BufferedReader bufferedReader = new BufferedReader(fileReader))
        {
            final String firstLine = bufferedReader.readLine();
            System.out.println("firstLine = " + firstLine);
        }
    }
}
