package solutions;

import java.io.IOException;

/**
 * Übung für JUGS-Java9-Workshop
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
public class Exercise9_ReactiveStreamExample 
{
	public static void main(final String[] args) throws IOException, InterruptedException 
	{
		final Exercise9_WordPublisher publisher = new Exercise9_WordPublisher();		
		publisher.subscribe(new Exercise9_WordSubscriber());
		publisher.subscribe(new Exercise9_SkipAndTakeSubscriber(System.err::println, 8, 2));
		
		publisher.doWork();
		
		Thread.sleep(10_000);  // auf das Ende der Verarbeitung warten
	}
}
