package exercises;

import java.net.URI;

import jdk.incubator.http.HttpClient;
import jdk.incubator.http.HttpRequest;
import jdk.incubator.http.HttpResponse;
import jdk.incubator.http.HttpResponse.BodyHandler;

/**
 * Übung für JUGS-Java9-Workshop
 * 
 * @author Michael Inden
 * 
 * Copyright 2017 by Michael Inden 
 */
public class Exercise10_Http2
{
	public static void main(final String[] args) throws Exception
	{
	    final URI uri = new URI("https://www.oracle.com/index.html");

	    final HttpClient httpClient = HttpClient.newHttpClient();
	    final HttpRequest request = null; // ...
	    final BodyHandler<String> asString = null; // ...
	    final HttpResponse<String> response = null; // ...

	    printResponseInfo(response);
	}
	    
	private static void printResponseInfo(final HttpResponse<String> response)
	{
	    final int responseCode = response.statusCode();
	    final String responseBody = response.body();

	    System.out.println("Status: " + responseCode);
	    System.out.println("Body:   " + responseBody);
	}
}
