package solutions;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

/**
 * Beispiellösung für JUGS-Java9-Workshop
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
public class Exercise1_ARM_Step_1
{
    public static void main(final String[] args) throws IOException
    {
        final FileReader fileReader = new FileReader("./resources/abc.txt");
        final BufferedReader bufferedReader = new BufferedReader(fileReader);

        try (final FileReader fr = fileReader;
             final BufferedReader br = bufferedReader)
        {
            final String firstLine = br.readLine();
            System.out.println("firstLine = " + firstLine);
        }
    }
}
