package solutions;

/**
 * Beispiellösung für JUGS-Java9-Workshop
 * 
 * @author Michael Inden
 * 
 * Copyright 2016 by Michael Inden 
 */
public class Exercise2b_ProcessHandle
{
    public static void main(final String[] args)
    {
        final ProcessHandle current = ProcessHandle.current();
        printInfo(current);
        showInfosForAllProcesses();
    }

    private static void printInfo(final ProcessHandle current)
    {
        System.out.println("PID: " + current.pid());
        System.out.println("Info: " + current.info());
        System.out.println("Command: " + current.info().command());
        System.out.println("CPU-Usage: " + current.info().totalCpuDuration());
    }

    private static void showInfosForAllProcesses()
    {
        final long count = ProcessHandle.allProcesses().count();
        System.out.println("Process Count: " + count);
    }
}